# Class LoggingUtil

java.lang.Object
com.databricks.jdbc.common.util.LoggingUtil

public class LoggingUtil extends Object
A centralised utility class for logging messages at different levels of importance.

## Constructor Summary

Constructors
Constructor
Description
`LoggingUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`setupLogger(String logDir, int logFileSizeMB, int logFileCount, LogLevel level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggingUtil

public LoggingUtil()

## Method Details

### setupLogger

public static void setupLogger(String logDir, int logFileSizeMB, int logFileCount, LogLevel level) throws IOException

Throws:
  `IOException`